Name:           perl-Getopt-Tabular
Version:        0.3
Release:        1%{?dist}
Summary:        Table-driven argument parsing for Perl 5
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Getopt-Tabular/
Source0:        http://www.cpan.org/authors/id/G/GW/GWARD/Getopt-Tabular-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Getopt::Tabular is a Perl 5 module for table-driven argument parsing,
vaguely inspired by John Ousterhout's Tk_ParseArgv. All you really need to
do to use the package is set up a table describing all your command-line
options, and call &GetOptions with three arguments: a reference to your
option table, a reference to @ARGV (or something like it), and an optional
third array reference (say, to @newARGV). &GetOptions will process all
arguments in @ARGV, and copy any leftover arguments (i.e. those that are
not options or arguments to some option) to the @newARGV array. (If the
@newARGV argument is not supplied, GetOptions will replace @ARGV with the
stripped-down argument list.) If there are any invalid options, GetOptions
will print an error message and return 0.

%prep
%setup -q -n Getopt-Tabular-%{version}
sed -i 's#/usr/local/bin/perl5#/usr/bin/perl#' demo

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes demo README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Aug 22 2012 Mary Ellen Foster <mefoster@gmail.com> 0.3-1
- Specfile autogenerated by cpanspec 1.78.
